"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  McpFunctionCallingAdapter: () => McpFunctionCallingAdapter
});
module.exports = __toCommonJS(index_exports);
var import_client = require("@modelcontextprotocol/sdk/client/index.js");
var import_stdio = require("@modelcontextprotocol/sdk/client/stdio.js");
var McpFunctionCallingAdapter = class {
  constructor(name, parameters) {
    this.name = name;
    this.parameters = parameters;
    this.client = new import_client.Client(
      {
        name: this.name,
        version: "1.0.0"
      },
      {
        capabilities: {
          prompts: {},
          resources: {},
          tools: {}
        }
      }
    );
  }
  tools = [];
  client;
  async startServers() {
    for (const [name, serverParameter] of Object.entries(this.parameters)) {
      const transport = new import_stdio.StdioClientTransport(serverParameter);
      await this.client.connect(transport);
      console.log(`${name} is successfully started!`);
    }
    const { tools } = await this.client.listTools();
    this.tools = tools;
  }
  async clean() {
    await this.client.close();
  }
  getTools() {
    return this.tools;
  }
  async executeTool(name, args) {
    const toolResult = await this.client.callTool({
      name,
      arguments: args
    });
    return {
      _meta: toolResult._meta,
      content: toolResult.content,
      isError: toolResult.isError,
      toolResult: toolResult.toolResult
    };
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  McpFunctionCallingAdapter
});
//# sourceMappingURL=index.cjs.map