// src/index.ts
import { Client } from "@modelcontextprotocol/sdk/client/index.js";
import {
  StdioClientTransport
} from "@modelcontextprotocol/sdk/client/stdio.js";
var McpFunctionCallingAdapter = class {
  constructor(name, parameters) {
    this.name = name;
    this.parameters = parameters;
    this.client = new Client(
      {
        name: this.name,
        version: "1.0.0"
      },
      {
        capabilities: {
          prompts: {},
          resources: {},
          tools: {}
        }
      }
    );
  }
  tools = [];
  client;
  async startServers() {
    for (const [name, serverParameter] of Object.entries(this.parameters)) {
      const transport = new StdioClientTransport(serverParameter);
      await this.client.connect(transport);
      console.log(`${name} is successfully started!`);
    }
    const { tools } = await this.client.listTools();
    this.tools = tools;
  }
  async clean() {
    await this.client.close();
  }
  getTools() {
    return this.tools;
  }
  async executeTool(name, args) {
    const toolResult = await this.client.callTool({
      name,
      arguments: args
    });
    return {
      _meta: toolResult._meta,
      content: toolResult.content,
      isError: toolResult.isError,
      toolResult: toolResult.toolResult
    };
  }
};
export {
  McpFunctionCallingAdapter
};
//# sourceMappingURL=index.js.map